# $Revision: 1.35 $, $Date: 2011/10/11 08:53:27 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	UUID
Summary:	Data::UUID - Perl extension for generating GUIDs/UUIDs
Summary(pl.UTF-8):	Data::UUID - rozszerzenie Perla do generowania GUID-ów/UUID-ów
Name:		perl-Data-UUID
Version:	1.203
Release:	4
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	242d53819858628a3f60f10ee3c848d6
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Data-UUID/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a framework for generating UUIDs (Universally
Unique Identifiers, also known as GUIDs (Globally Unique Identifiers).
A UUID is 128 bits long, and is guaranteed to be different from all
other UUIDs/GUIDs generated until 3400 A.D. UUIDs were originally used
in the Network Computing System (NCS) and later in the Open Software
Foundation's (OSF) Distributed Computing Environment. Currently many
different technologies rely on UUIDs to provide unique identity for
various software components.

%description -l pl.UTF-8
Moduł Perla Data::UUID udostępnia szkielet do generowania UUID-ów
(Universally Unique Identifiers - identyfikatorów unikalnych
powszechnie), znanych też jako GUID-y (Globally Unique Identifiers -
identyfikatory unikalne globalnie). UUID-y są 128-bitowe i
gwarantowana jest ich unikalność wśród wszyskich innych UUID-ów/
/GUID-ów wygenerowanych do roku 3400. UUID-y pierwotnie były używane w
Network Computing System (NCS), a później w Rozproszonym Środowisku
Obliczeniowym (Distributed Computing Environment) Fundacji Open
Software (OSF). Obecnie na zagwarantowanych przez UUID-y unikalnych
identyfikatorach dla różnych składników oprogramowania opartych jest
wiele różnych technologii

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Data/UUID.pm
%dir %{perl_vendorarch}/auto/Data/UUID
%{perl_vendorarch}/auto/Data/UUID/*.ix
%{perl_vendorarch}/auto/Data/UUID/UUID.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Data/UUID/UUID.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-UUID.spec,v $
Revision 1.35  2011/10/11 08:53:27  lisu
- rel 4

Revision 1.34  2010/11/12 23:38:03  pawelz
- release 3

Revision 1.33  2010/06/06 08:34:10  arekm
- release 2

Revision 1.32  2009/11/20 07:24:33  amateja
- updated to 1.203

Revision 1.31  2009/09/09 11:15:32  amateja
- updated to 1.202

Revision 1.30  2009/06/18 10:47:31  amateja
- updated to 1.201

Revision 1.29  2009/03/14 11:40:37  hawk
- release 4

Revision 1.28  2008/03/02 17:31:12  radek
- release 3

Revision 1.27  2008-02-10 12:06:27  arekm
- rel 2

Revision 1.26  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.25  2007-05-27 00:04:42  agaran
- up to 1.148, rel 1, builds here

Revision 1.24  2007/05/24 22:37:35  qboosh
- generic URL

Revision 1.23  2007/05/18 22:53:14  agaran
- up to 0.148, types-patch updated, builds here, rel1

Revision 1.22  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.20  2006/04/07 20:35:02  agaran
- up to 0.14 rel 1, builds here

Revision 1.19  2006/02/26 21:42:54  agaran
- up to 0.13, rel 1, here works properly

Revision 1.18  2004/11/03 22:30:17  paladine
- formatting

Revision 1.17  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/08 19:04:54  qboosh
- added types patch (for 64-bit archs); release 2

Revision 1.15  2004/05/06 18:09:29  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.13  2004/04/20 10:08:07  ankry
- new bconds

Revision 1.12  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.11  2003/09/15 09:42:09  adamg
- updated to 0.11

Revision 1.10  2003/08/18 08:08:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/23 23:41:07  radek
- included autosplit.ix

Revision 1.8  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/13 00:02:18  ankry
- merge from RA-branch: updated to 0.09

Revision 1.4  2003/03/11 17:09:11  qboosh
- fixed typo and unbalanced (

Revision 1.3  2003/03/01 18:05:15  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.1  2003/02/23 09:56:22  ankry
- new
